<ion-header>

  <ion-navbar>
    <ion-title class="title-after-back">
		Paiement
	</ion-title>
	<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
  </ion-navbar>

</ion-header>

<ion-content >
	<form (ngSubmit)=[onSubmit()] [formGroup]="form">
		<ion-grid class="grid-center-md grid-center-ios">
			<ion-row justify-content-center class="row-top">
				<ion-col col-8 col-sm col-auto >
					<img src="assets/imgs/bee-logo.png" class="logo-reservation">
					<h3 class="title_reservation" text-capitalise >Paiement par carte bancaire</h3>
				</ion-col>
			</ion-row>
			<ion-row justify-content-center class="center-block-reservation">
				<ion-col col-12 col-sm col-auto *ngIf="card">
					<ion-list class="list_" padding-top maring-top>

						<ion-item class="input-cover-md input-cover-ios" >
							Montant: {{reservation?.amount}}
						</ion-item>

						<ion-item class="input-cover-md input-cover-ios" >
							<ion-label no-padding no-margin>
								<ion-icon ios="ios-card" md="md-card" class="ion-icon-md ion-icon-ios"></ion-icon>
							</ion-label>
							<ion-input formControlName="card" id="card" type="text" placeholder="N° de compte" [(ngModel)]="card" stacked required></ion-input>
						</ion-item>

						<ion-item class="input-cover-md input-cover-ios" >
							<ion-label no-padding no-margin>
								<ion-icon ios="ios-calendar" md="md-calendar" class="ion-icon-md ion-icon-ios"></ion-icon>
							</ion-label>

							<ion-datetime  formControlName="expiration" displayFormat="DD/MM/YYYY" id="expiration" placeholder="Date d'expiration" ></ion-datetime>

						</ion-item>

						<ion-item>
							<ion-label no-padding no-margin>
								<ion-icon ios="ios-lock" md="md-lock" class="ion-icon-md ion-icon-ios">	
								</ion-icon>
							</ion-label>
							<ion-input  formControlName="pin" type="password" id="pin" placeholder="PIN" ></ion-input>

						</ion-item>

					</ion-list>
					<div >
						<button (click)="processPaiement()" ion-button block class="button-and button-ios">Payer</button>
					</div>
				</ion-col>
			</ion-row>		
		</ion-grid>
	</form>
</ion-content>
